Description

The task list extensions will be a very nice addition for Common Mark text formatting.
https://github.com/gjtorikian/commonmarker#extensions

Related issues:

Related to Redmine - Feature #32424: CommonMark Markdown Text Formatting Closed
Related to Redmine - Feature #20698: Add support for task list items in Texti... New

Associated revisions

Revision 21383 - 2022-01-22 10:24 - Marius BALTEANU
Enable task list items for Common Mark text formatting (#35742).

Revision 21384 - 2022-01-22 10:31 - Marius BALTEANU
Fix path to task list items icon (#35742).

Revision 21385 - 2022-01-22 10:35 - Marius BALTEANU

Updates en help file for common_mark to include the task list items feature (#35742).

History

#1 - 2021-08-12 00:14 - Marius BALTEANU
- Related to Feature #32424: CommonMark Markdown Text Formatting added

#2 - 2021-08-15 22:46 - Marius BALTEANU
- File 0001-Enable-task-list-for-CommonMark-Markdown-formater-35.patch added

I'm adding a patch for testing purposes, | still need to:

1. Add tests

2. Add an icon to JS toolbar

3. Allow clicking task item checkboxes directly.
4. Try to add this to Textile

From my point of view, the feature is useful enough only with the first 2 items and we can improve later with 3 and 4. What do you think?

Regarding the tech side, | tried to implement it using only the tasklist extension provided by the CommonMark, but it requires to whitelist in the
sanitize the following tags: ul, li, input type="checkbox". Also, using this extensions it will make harder to port this feature to textile.

#3 - 2021-10-03 22:12 - Marius BALTEANU

- Target version set to 5.0.0

| think we should deliver this along with the new CommonMark formatter. Any feedback is appreciated.

#4 - 2021-10-09 10:28 - Go MAEDA
- File Screenshot_2021-10-09_at_17-25-08.png added

Really nice feature. This should be delivered in Redmine 5.0.0.
https://github.com/gjtorikian/commonmarker#extensions

Marius BALTEANU wrote:
I'm adding a patch for testing purposes, | still need to:
1. Add tests
2. Add an icon to JS toolbar
3. Allow clicking task item checkboxes directly.

4. Try to add this to Textile

From my point of view, the feature is useful enough only with the first 2 items and we can improve later with 3 and 4. What do you think?

| agree. | think it is still useful even without 2.
Screenshot_2021-10-09_at_17-25-08.png

#5 - 2022-01-04 18:36 - Marius BALTEANU
- File 0001-Enable-task-list-for-CommonMark-Markdown-formater-35.patch added

I've updated the patch to include a test.

#6 - 2022-01-04 18:36 - Marius BALTEANU
- File deleted (0001-Enable-task-list-for-CommonMark-Markdown-formater-35.patch)

#7 - 2022-01-04 20:25 - Marius BALTEANU
- File 0002-Adds-task-list-button-to-toolbar-for-CommonMark-form.patch added
- File 0003-Updates-help-file-for-common_mark-to-include-the-tas.patch added

Here are other two patches:

e 0002: adds a task list item button to the JS toolbar
® 0003: updates the help file for en.

Go Maeda, please let me know if | can commit this.

#8 - 2022-01-22 10:41 - Marius BALTEANU
- File bt_tl.png added
- Status changed from New to Closed

- Resolution set to Fixed

Feature added in r21383. You can now add task list items using the common_mark format * [ ] Task title or by clicking the "Task list" icon bt_tl.png
from the toolbar.

For now, to check the items, you need to use the Edit feature, we will try to allow this by clicking on the checkbox in the near future.

#9 - 2022-01-22 11:01 - Marius BALTEANU
- Related to Feature #20698: Add support for task list items in Textile formatting added

#10 - 2022-03-21 08:50 - Go MAEDA

- Subject changed from Enable task list items for Common Mark text formatting to Enable task list items for CommonMark text formatting

#11 - 2022-11-12 00:56 - Beni br
Marius BALTEANU wrote:

For now, to check the items, you need to use the Edit feature, we will try to allow this by clicking on the checkbox in the near future.

Is there any news on this or a issue to track clickable checkboxes?

Thanks for implementing this anyway!

#12 - 2023-09-29 10:09 - Gilles Devillers

Any news about this feature? This would really benefit our workflow where be have checklists in notes depending on the current state of the issue.
https://www.redmine.org/projects/redmine/repository/svn/revisions/21383

#13 - 2023-09-29 10:18 - Go MAEDA

Since the feature was already delivered as a part of Redmine 5.0.0 and this issue was closed, please don't add comments anymore.

Please open a new issue if you have any requests about the feature.

Files

Screenshot_2021-10-09_at_17-25-08.png 10.8 KB 2021-10-09 Go MAEDA
0001-Enable-task-list-for-CommonMark-Markdown-formater-35.patch 3.47 KB 2022-01-04 Marius BALTEANU
0002-Adds-task-list-button-to-toolbar-for-CommonMark-form.patch ~ 2.49 KB 2022-01-04 Marius BALTEANU
0003-Updates-help-file-for-common_mark-to-include-the-tas.patch 1.75 KB 2022-01-04 Marius BALTEANU
bt_tl.png 479 Bytes 2022-01-22 Marius BALTEANU
